package com.zehong.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 推送的报警数据信息
 * @author zhangzhizhong
 *
 */

public class TDetectorAlarmInfoVO {

	// 设备编号
	private String detectorCode;
	// 监测单位
	private String unitName;
	// 设备类型
	private String detectorType;
	// 预警类型
	private String statusName;
	// 预警时间
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date alarmTime;
	// 处理状态
	private String handledStatus;

	public String getDetectorCode() {
		return detectorCode;
	}

	public void setDetectorCode(String detectorCode) {
		this.detectorCode = detectorCode;
	}

	public String getUnitName() {
		return unitName;
	}
	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public String getDetectorType() {
		return detectorType;
	}

	public void setDetectorType(String detectorType) {
		this.detectorType = detectorType;
	}

	public String getStatusName() {
		return statusName;
	}
	public void setStatusName(String statusName) {
		this.statusName = statusName;
	}
	public Date getAlarmTime() {
		return alarmTime;
	}
	public void setAlarmTime(Date alarmTime) {
		this.alarmTime = alarmTime;
	}
	public String getHandledStatus() {
		return handledStatus;
	}
	public void setHandledStatus(String handledStatus) {
		this.handledStatus = handledStatus;
	}
	
	

}
